-- This is the script run after editing a device - the label, classes
local functions, device, olddevice, params, oldparams = ...

--functions.logevent("got to update_device script")

-- We'll handle the changing of the device by handling the resulting changing of the params
local f
local env = {}
setmetatable (env, {__index = _G})
local IS_52_LOAD = pcall(load, '')
if IS_52_LOAD then
	local f = loadfile("/etc/provisioning/update_device_params.lua", "bt", env)
else
	-- loadfile loads into the global environment
	-- so we set env 0, not env 1
	setfenv (0, env)
	local f = loadfile("/etc/provisioning/update_device_params.lua")
	setfenv (0, _G)
end
if (f) then f(functions, params, oldparams) end
